# Procedure to color all Drawingelements blue
def make_blue
   sel = Sketchup.active_model.selection
   sel.each do |e| 
      e.material = [200, 200, 255]
      if e.typename == "Face"
         e.back_material = [200, 200, 255]
      end
   end
end

# Procedure to make sure a Face is 
def check_face
   sel = Sketchup.active_model.selection
   ok = sel.find{ |e| e.typename == "Face"}
   ok ? MF_ENABLED : MF_GRAYED
end

# Access SketchUp's context menu
UI.add_context_menu_handler do |menu|

   # Add an item to the context menu
   menu.add_separator
   item = menu.add_item("Make Blue") { make_blue }
   
   # Check to make sure that a face is selected
   menu.set_validation_proc(item) { check_face }
end