class SimpleTool

   # Initialize the input point upon start
   def activate
      @input = Sketchup::InputPoint.new
   end

   # Respond to left-clicks in the design window
   def onLButtonDown flags, x, y, view
      @input.pick view, x, y
      Sketchup::set_status_text "Left click ", SB_VCB_LABEL
      pos = @input.position
      str = "%.2f, %.2f, %.2f" % [pos.x, pos.y, pos.z]
      Sketchup::set_status_text str, SB_VCB_VALUE
   end
   
   # Respond to right-clicks in the design window
   def onRButtonDown flags, x, y, view 
      @input.pick view, x, y
      Sketchup::set_status_text "Right click ", SB_VCB_LABEL
      pos = @input.position
      str = "%.2f, %.2f, %.2f" % [pos.x, pos.y, pos.z]      
      Sketchup::set_status_text str, SB_VCB_VALUE
   end
end

# Create the Command object
simple_cmd = UI::Command.new("Simple") {
   Sketchup.active_model.select_tool SimpleTool.new
}

# Add the Command to the Tools menu
tool_menu = UI.menu "Tools"
tool_menu.add_separator
tool_menu.add_item simple_cmd