model = Sketchup.active_model
model.rendering_options["BackgroundColor"] = [195, 255, 195]
ents = model.entities

# Create a 4x4 cube
cube = ents.add_group
square = cube.entities.add_face [-6,6,0], 
   [6,6,0], [6,-6,0], [-6,-6,0]
square.pushpull -12
cube.material = "Yellow"

# Add two layers to the design
layers = Sketchup.active_model.layers
layer1 = layers.add "Cylinder Layer"
layer2 = layers.add "Sphere Layer"

# Create a cylinder in Layer 1
model.active_layer = layer1
cyl = ents.add_group
base = cyl.entities.add_circle [-18, 0, 0], [0, 0, -1], 6
base_face = cyl.entities.add_face base
base_face.pushpull -12
cyl.material = "Blue"

# Create a sphere in Layer 2
model.active_layer = layer2
sph = ents.add_group
circle = sph.entities.add_circle [18, 0, 6], [0, 0, -1], 6
circle_face = sph.entities.add_face circle
path = sph.entities.add_circle [18, 0, 6], [0, 1, 0], 7
circle_face.followme path
sph.entities.erase_entities path
sph.material = "Red"

# Access the Pages container and get the time
pages = Sketchup.active_model.pages
now = Time.now

# Create the first page
pg1 = pages.add "Pg1"
pg1.camera.aspect_ratio = 2
pg1.shadow_info["DisplayShadows"] = true
pg1.shadow_info["ShadowTime"] = now

# Create the second page
pg2 = pages.add "Pg2"
pg2.camera.aspect_ratio = 1.5
pg2.shadow_info["DisplayShadows"] = true   
pg2.shadow_info["ShadowTime"] = now + (60 * 60 * 6)
pg2.set_visibility layer1, false
pg2.set_visibility layer2, true

# Create the third page
pg3 = pages.add "Pg3"
pg3.camera.aspect_ratio = 1
pg3.shadow_info["DisplayShadows"] = true   
pg3.shadow_info["ShadowTime"] = now + (60 * 60 * 12)
pg3.set_visibility layer1, true
pg3.set_visibility layer2, false