# Include the script from Chapter 11
require "Ch11/three_pages.rb"

# Set each page's delay and transition time
$delay = 1
$trans_time = 2
$pages = Sketchup.active_model.pages
$pages.each do |p|
   p.delay_time = $delay;
   p.transition_time = $trans_time;
end

# Create a menu entry
view_menu = UI.menu "View"
view_menu.add_separator
sub_menu = view_menu.add_submenu("Page Animation")

# Add a submenu item to cycle through pages
$pages.selected_page = $pages[0]
start_zoom = sub_menu.add_item("Start Animation") {
   $timer = UI.start_timer($delay + $trans_time, true) {
      Sketchup.send_action "pageNext:" 
   }
}

# Create a menu subentry to halt the timer
start_zoom = sub_menu.add_item("Stop Animation") {
   UI.stop_timer $timer
}