class FOVAnimator

def initialize
   
   # Create a 4x4 cube at the origin
   square = Sketchup.active_model.entities.add_face [-2,2,0], 
      [2,2,0], [2,-2,0], [-2,-2,0]
   square.pushpull -4
   
   # Point the camera at the origin
   cam = Sketchup.active_model.active_view.camera
   cam.set cam.eye, [0, 0, 0], [0, 0, 1]
   
   # Initialize the fov variable and its update variable
   @orig_fov = Sketchup.active_model.active_view.field_of_view
   @fov = @orig_fov
   @delta = 1
end

def nextFrame(view)

   # Set the field of view
   view.field_of_view = @fov
   
   # Refresh the design window
   view.show_frame
   
   # Update the fov variable
   @fov = @fov + @delta
   if @fov == @orig_fov + 30 || @fov == @orig_fov - 30
      @delta = -@delta
   end

   return true
end

end

# Create a menu entry
view_menu = UI.menu "View"
view_menu.add_separator
sub_menu = view_menu.add_submenu("FOV Animation")

# Add two menu items to the submenu
start_zoom = sub_menu.add_item("Start FOV Animation") {
   Sketchup.active_model.active_view.animation = FOVAnimator.new
}

end_zoom = sub_menu.add_item("End FOV Animation") {
   Sketchup.active_model.active_view.animation = nil
}