# Create a class that extends EntityObserver
class EntObserver < Sketchup::EntityObserver

   # Invoked when the Entity changes
   def onChangeEntity(entity)
      f_count = 1

      # Execute the script with the vertex locations
      for v in entity.vertices
         args = "'" + v.position.x.to_s + "', '" + 
            v.position.y.to_s + "', '" + v.position.z.to_s + "'"
         $wd.execute_script("setPoint" + f_count.to_s + "(" + 
            args + ")")
         f_count = f_count + 1
      end
   end

   # Invoked when the Entity is deleted
   def onEraseEntity(entity)
      $wd.execute_script("faceDeleted()")
   end

end

# Add an Edge and a Face to the model
ents = Sketchup.active_model.entities
face = ents.add_face [0,0,0], [10,0,0], [10,10,0], [0,10,0]

# Associate a new observer with the face and edge
obs = EntObserver.new
face.add_observer obs

# Create a WebDialog and set its HTML
$wd = UI::WebDialog.new "Point Checker"
path = Sketchup.find_support_file "Ch13/point_checker.html", "Plugins"
$wd.set_file path
$wd.show