# Load the definition of the candle component
model = Sketchup.active_model
ents = model.entities
def_list = model.definitions
def_path = Sketchup.find_support_file "candle.skp", "Components"
candle_def = def_list.load def_path

# Create the Transformation objects
tran1 = Geom::Transformation.scaling 0.5, 0.5, 1.5
tran2 = tran1 * Geom::Transformation.rotation(
   [0, -5, 0], [0, 0, 1],  30.degrees)
tran3 = tran1 * Geom::Transformation.rotation(
   [0, -5, 0], [0, 0, 1], -30.degrees)
tran4 = tran1 * Geom::Transformation.rotation(
   [0, -5, 0], [0, 0, 1],  60.degrees)
tran5 = tran1 * Geom::Transformation.rotation(
   [0, -5, 0], [0, 0, 1], -60.degrees)

# Create the candle instances
inst1 = ents.add_instance candle_def, tran1
inst2 = ents.add_instance candle_def, tran2
inst3 = ents.add_instance candle_def, tran3
inst4 = ents.add_instance candle_def, tran4
inst5 = ents.add_instance candle_def, tran5