# Create the head of the bolt
ents = Sketchup.active_model.entities
hex_curve = ents.add_ngon [0, 0, 0], [0, 0, 1], 4, 6
hex_face = ents.add_face hex_curve
hex_face.pushpull -3

# Create the screw and the bolt group
screw_curve = ents.add_circle [0, 0, -8], [0, 0, 1], 1.5
screw_face = ents.add_face screw_curve
screw_face.pushpull 8
bolt_group = ents.add_group ents.to_a
bolt_group.name = "Hex Bolt"

# Create the nut group
nut_curve = ents.add_ngon [10, 0, 0], [0, 0, 1], 3, 4
nut_face = ents.add_face nut_curve
nut_face.reverse!
nut_face.pushpull 1.5
cut_curve = ents.add_circle [10, 0, 0], [0, 0, 1], 1.5
cut_curve[0].faces[0].pushpull -1.5
nut_group = ents.add_group cut_curve[0].faces[1].all_connected
nut_group.name = "Square Nut"
nut_group.transform! [-10, 0, -7]

# Create the combined group and transform
full_group = ents.add_group bolt_group, nut_group
full_group.name = "Nut-Bolt Group"
t2 = Geom::Transformation.translation [10, 10, 10]
t1 = Geom::Transformation.rotation [0, 0, 0], [1, 1, 1], -45.degrees
full_group.transform! t1 * t2