# Create a class that extends EntityObserver
class EntObserver < Sketchup::EntityObserver

   # Invoked when the Entity changes
   def onChangeEntity(entity)
      puts entity.typename + " changed"
   end

   # Invoked when the Entity is erased
   def onEraseEntity(entity)
      puts entity.typename + " erased"
   end
   
end

# Add an Edge and a Face to the model
ents = Sketchup.active_model.entities
face = ents.add_face [0,0,0], [1,0,0], [1,1,0], [0,1,0]
edge = ents.add_line [3, 3, 3], [4, 4, 4]

# Associate a new observer with the face and edge
obs = EntObserver.new
face.add_observer obs
edge.add_observer obs

# Extrude the face and soften the edge
face.pushpull 1
edge.soft = true

# Erase the face and edge
face.erase!
edge.erase!