# Create a class that extends SelectionObserver
class SelObserver <  Sketchup::SelectionObserver

   def onSelectionBulkChange(sel)
      sel.each {|e| e.material = [200, 255, 200]}
   end

   def onSelectedCleared(sel)
      ents = sel.model.entities
      ents.each {|e| e.material = [255, 255, 255]}
   end
   
end

# Associate the model's Selection with the observer
sel = Sketchup.active_model.selection
sel.add_observer SelObserver.new

# Create a 3 x 3 x 3 cube
ents = Sketchup.active_model.entities
face = ents.add_face [0,0,0], [3,0,0], [3,3,0], [0,3,0]
face.reverse!
face.pushpull 3