require "sketchup.rb"
require "langhandler.rb"

# Check to see if the plugin is already loaded
if not file_loaded? "menu_plugin.rb" 

   cmd = UI::Command.new("Say Hello!") {
      # Access the String with the given name
      handler = LanguageHandler.new "basic.strings"
      display_text = handler.GetString "greeting"
   
      # Create the dialog box
      UI.beep
      UI.messagebox display_text
   }

   # Access SketchUp's Edit menu
   edit_menu = UI.menu "Edit"
   edit_menu.add_separator
   item = edit_menu.add_item cmd
   
   # Access SketchUp's context menu
   UI.add_context_menu_handler do |menu|
      menu.add_separator
      item = menu.add_item cmd
   end
   
   # Mark the plugin as loaded
   file_loaded "menu_plugin.rb"
end